PUT
/api/v1/efs/allow-vpc-cidr/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/efs/allow-vpc-cidr/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "efs_id": 467, "vpc_id": 3170, "permissions": "rw"}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/efs/allow-vpc-cidr/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "efs_id": 467, "vpc_id": 3170, "permissions": "rw", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/efs/allow-vpc-cidr/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "efs_id": 467, "vpc_id": 3170, "permissions": "rw" }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Body
Section titled “Request Body”Media typeapplication/json
object
efs_id
required
integer
Example
467vpc_id
required
integer
Example
3170permissions
required
string
Example
rwResponses
Section titled “Responses”Successful response indicating network configuration initiation
Media typeapplication/json
object
code
integer
data
object
efs_id
integer
errors
object
message
string
Example
{ "code": 200, "data": { "efs_id": 636 }, "errors": {}, "message": "Network Configuration Initiated. Expected completion within 2-3 minutes."}